// Scoreboard Quick Test
#include <IRremote.h>

int RECV_PIN = 11;
IRrecv irrecv(RECV_PIN);
decode_results results;
int dataPin = 2; 
int latchPin = 3;
int clkPin = 4;
int number = 0;

void setup()
{
  pinMode(latchPin, OUTPUT);
  pinMode(clkPin, OUTPUT);
  pinMode(dataPin, OUTPUT);

  Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
  digitalWrite(latchPin, LOW);
  shiftOut(dataPin,clkPin,MSBFIRST,number);  
  digitalWrite(latchPin, HIGH);
}

void loop() {
  if (irrecv.decode(&results)) {
    switch (results.value)   {
    case 0xFF11EE:         
      Serial.println("Dog"); 
      break;
     case 0xFF619E:  // POWER
      Serial.println("Power button"); 
      break;
     case 0xFFA15E:  // MUTE
      Serial.println("Mute"); 
      break;
    case 0xFF49B6:  
      Serial.println("One"); 
      number=6;
      break;
    case 0xFF6996:  
      Serial.println("Two");
     number=91; 
      break;
    case 0xFF59A6:  
      Serial.println("Three"); 
      number=79;
      break;
    case 0xFF8976:  
      Serial.println("Four");
     number=102; 
      break;
    case 0xFFA965:  
      Serial.println("Five");
     number=109; 
      break;
    case 0xFF9966:  
      Serial.println("Six"); 
      number=125;
      break;
    case 0xFF09F6:  
      Serial.println("Seven");
     number=7; 
      break;
    case 0xFF29D6:  
      Serial.println("Eight"); 
      number=127;
      break;
    case 0xFF19E6:  
      Serial.println("Nine"); 
      number=111;
      break;
    case 0xFF21DE:  
      Serial.println("Zero"); 
      number=63;
      break;
    case 0xFFE11E:  // UP 
      Serial.println("Up"); 
      break;
    case 0xFF31CE:  // DOWN 
      Serial.println("Down"); 
      break;
    case 0xFFF906:  // LEFT  
      Serial.println("Left"); 
      break;
    case 0xFF916E:  // RIGHT  
      Serial.println("Right"); 
      break;
    case 0xFF7986:  // REVERSE 
      Serial.println("Reverse"); 
      break;
    case 0xFFB14E:  
      Serial.println("Play"); 
      break;
    case 0xFF51AE:  // >>| 
      Serial.println("Fast Forward"); 
      break;
    case 0xFF39C6:  
      Serial.println("Menu"); 
      break;
    case 0xFFF10E:  
      Serial.println("Display"); 
      break;
    case 0xFFC936:  
      Serial.println("Band"); 
      break;
    case 0xFFE916:  
      Serial.println("Memory"); 
      break;
    case 0xFFD12E:  //UP (+) 
      Serial.println("Up +"); 
      break;
    case 0xFFD926:  // DOWN (-) 
      Serial.println("Down -"); 
      break;
    case 0xFFB946:  
      Serial.println("Return"); 
      break;
    case 0xFF718E:  
      Serial.println("Radio"); 
      break;        
    }
    delay(100);
   
    digitalWrite(latchPin, LOW);
    shiftOut(dataPin,clkPin,MSBFIRST,number);
    digitalWrite(latchPin, HIGH);
    //IR STUFF
    irrecv.resume(); // Receive the next value
  }
}


















